# -*- coding: utf-8 -*-

import sys
import pygtk
if sys.platform != 'win32':
    pygtk.require('2.0')
import gtk

from shapedWindow import ShapedWindow


#
#
class InfoWindow:
    '''
    インフォメーション表示用のウインドウ。
    マウスボタンのクリックでウインドウを閉じる。
    '''
    def __init__(self, parent=None):
        '''
        初期化
        '''
        self.wind = ShapedWindow(parent, 'logo.png')
        self.wind.connect('button-press-event', self.on_button_pressed)
        self.wind.show_all()

    def on_button_pressed(self, widget, event=None):
        '''
        ボタンが押された場合の処理。
        ウインドウを閉じる。
        '''
        self.wind.destroy()
        self.wind = None
